Skip to content

AurellixPay API Documentation

This page shows the usage of some runtime APIs provided by AurellixPay.

API base URL - Please contact customer service to obtain it

Withdrawal Interface

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/withdraw/create
  • Authentication: Signature verification

Interface Description

This interface accepts withdrawal information passed by the merchant, performs data validation and balance checks, and creates a withdrawal application.

Request Parameters

Field NameTypeMax LengthRequiredDescription
mchNoString30YesMerchant number
appIdString64YesApplication ID, assigned by the merchant platform
signString512YesSignature
signTypeString10YesSignature type, default value RSA2
versionString10YesVersion number, e.g., v1.0
currencyString10YesWithdrawal currency (refer to deposit currencies, please confirm support with customer service)
addressString256NoWithdrawal address (For USDC/USDT, it's a stablecoin address. For BRL, it can be: PIX code, CPF/CNPJ code, email address, phone number (e.g., +5511990028754), etc. Required for stablecoins and Brazil channels.)
amountBigDecimal-YesWithdrawal amount
chainString30NoBlockchain network, required when currency is (USDC/USDT). Optional values: Tron (Maintenance), Solana, Ethereum, Polygon, Arbitrum, Binance_smart_chain
mchWithdrawIdString64NoMerchant withdrawal record ID
bankCodeString-NoBank code (Required for Malaysia, Thailand, Mexico, and other channels)
bankHolderNameString-NoCardholder name (Required for Malaysia, Thailand, Mexico, and other channels)
bankAccountString-NoBank account (Required for Malaysia, Thailand, Mexico, and other channels)

Sample Request Data

json
{
    "mchNo": "M1752564528",
    "appId": "68760330a2cf0af37c52a073",
    "signType": "RSA2",
    "version": "v1.0",
    "currency": "USDC",
    "address": "DZwb72WbFsxLF332nF5mYHiMkXpLJMtYV6kv8RtbYRTQ",
    "amount": 3.21,
    "chain": "Solana",
    "sign": "VaKMVivLXtqJw6kp7PyNaI6P7qoLM9kOXms5Tll8TsX0eubZ0F+bbxGpfaTR2zpCZkVr/iygD4QyuueMt+pMOAOXZ2yayFGloyKL1mMfNHzb5PDPMhU3cKm6cb+BCHkfk5S602rCBFrQSEhVgQiwpd5ezI6NAdw4+EdPwVmzXH6pVZ9YXNSp9n1O8caS5dL0bjhWxO5EFWrxhbfFNLgWy1OXRs9e02wHZXbzukAkbuJl6UZDpPKKluy2m1BbgxYYYHlx4sunBsE8vP5vj50UHg8KK4v1K/XXzx+oIpZQ85895ZFAISLO9V7ugdlXx/+jrpzg2xnEOK9ss/oSSbdDoQ=="
}

Response Parameters

json
{
    "code": 0,
    "data": {
        "withdrawId": 20,
        "state": 1
    },
    "msg": "SUCCESS"
}

Withdrawal Status Query Interface

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/withdraw/query
  • Authentication: Signature verification

Interface Description

This interface queries the execution status of the withdrawal application based on the withdrawal record ID.

Request Parameters

Field NameTypeMax LengthRequiredDescription
mchNoString30YesMerchant number
appIdString64YesApplication ID, assigned by the merchant platform
signString512YesSignature
signTypeString10YesSignature type, default value RSA2
versionString10YesVersion number, e.g., v1.0
withdrawIdLongNoWithdrawal record ID (At least one of withdrawId or mchWithdrawId must be passed)
mchWithdrawIdString64NoMerchant withdrawal record ID (At least one of withdrawId or mchWithdrawId must be passed)

Sample Request Data

json
{
    "mchNo": "M1752564528",
    "appId": "68760330a2cf0af37c52a073",
    "signType": "RSA2",
    "version": "v1.0",
    "withrawId": 20,
    "sign": "VaKMVivLXtqJw6kp7PyNaI6P7qoLM9kOXms5Tll8TsX0eubZ0F+bbxGpfaTR2zpCZkVr/iygD4QyuueMt+pMOAOXZ2yayFGloyKL1mMfNHzb5PDPMhU3cKm6cb+BCHkfk5S602rCBFrQSEhVgQiwpd5ezI6NAdw4+EdPwVmzXH6pVZ9YXNSp9n1O8caS5dL0bjhWxO5EFWrxhbfFNLgWy1OXRs9e02wHZXbzukAkbuJl6UZDpPKKluy2m1BbgxYYYHlx4sunBsE8vP5vj50UHg8KK4v1K/XXzx+oIpZQ85895ZFAISLO9V7ugdlXx/+jrpzg2xnEOK9ss/oSSbdDoQ=="
}

Response Parameters

Field NameTypeRequiredDescription
codeStringYesResponse code
dataStringNoResponse data
msgStringNoResponse message

data Data Format

Field NameTypeDescription
withdrawIdLongWithdrawal record ID
currencyStringCurrency
chainStringNetwork
addressStringWithdrawal address
amountBigDecimalWithdrawal amount
stateByteWithdrawal status: 0-Pending, 1-Processing, 2-Success, 3-Failure, 4-Cancelled
failReasonStringFailure reason
gatewayResponseStringReceipt information. Brazil channel return field descriptions:
Channel record ID: transaction_id
Amount: amount
Receipt code: key
Receiving account: recipient_account_id
Receiving branch: recipient_branch_id
Beneficiary CPF/CNPJ: recipient_legal_id
Beneficiary name: recipient_name
Receiving account type: recipient_account_type
Operation record ID: operationUuid
Error description 1: erro_descriptor
Error description 2: new_erro_descriptor

data sample:

json
{
    "code": 0,
    "data": {
        "withdrawId": 20,
        "currency": "USDC",
        "chain": "Solana",
        "address": "DZwb72WbFsxLF332nF5mYHiMkXpLJMtYV6kv8RtbYRTQ",
        "amount": 3.21,
        "state": 0,
        "failReason": "Failure reason",
        "gatewayResponse": null
    },
    "msg": "SUCCESS"
}

Brazil channel gatewayResponse sample:

json
{
  "transaction_id": "111",
  "amount": 100,
  "key": "222",
  "recipient_account_id": "333",
  "recipient_branch_id": "1",
  "recipient_legal_id": "444",
  "recipient_name": "name abc",
  "recipient_account_type": "PAYMENT_ACCOUNT",
  "operationUuid": "123",
  "erro_descriptor": "",
  "new_erro_descriptor": ""
}

Batch Query Records Interface

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/withdraw/batch-query
  • Authentication: Signature verification

Interface Description

This interface queries withdrawal records in batches based on mchNo and appId.

Request Parameters

Field NameTypeMax LengthRequiredDescription
appIdString64YesApplication ID, assigned by the merchant platform
mchNoString30YesMerchant number
versionString10YesVersion: v1.0
signTypeString10YesSignature type: Currently only supports RSA2
signString256YesSignature
startTimeDateNo(Based on createdAt) Date format string (yyyy-MM-dd HH:mm:ss), time range query -- start time (inclusive)
endTimeDateNo(Based on createdAt) Date format string (yyyy-MM-dd HH:mm:ss), time range query -- end time (inclusive)
currencyString30NoCurrency, optional values: (USDC/USDT/BRL)
chainString10NoNetwork, optional values: Tron (Maintenance), Solana, Ethereum, Polygon, Arbitrum, Binance_smart_chain
pageNumIntegerNoCurrent page number, defaults to 1
pageSizeIntegerNoPage size, defaults to 10
stateByteNoWithdrawal status: 0-Pending, 1-Processing, 2-Success, 3-Failure, 4-Cancelled

Sample Request Data

json
{
    "appId": "68760330a2cf0af37c52a173",
    "mchNo": "M1752561528",
    "version": "v1.0",
    "signType": "RSA2",
    "state":0,
    "pageNum":1,
    "pageSize":5,
    "currency":"USDC",
    "chain":"ethereum",
    "startTime":"2025-08-28 00:00:00",
    "endTime":"2025-08-28 23:59:59",
    "sign": "g+NAXi68wJ8J9hnKbBEzf6gbF+acYSyn8eMQrQDE6ndzcma9dBVYIRTBaNaeE/aFDAdMB4ARbXpLit8QIaH7vn3ZF6iKqu7tGpax817C9Yz+c9zvLtbt6rvTpwuBCKVfQJNJ+JbWCjXqwfRMJBmDfnUCujdeLnXf2l7QW6azi0Q3CC18UKyRtHGiRZ8kdwP+s3YX7JXCD+N35aFUdf7vwP19nEhXpyjMrZKColFbarQdrPZ1MsrROcnAKPqfMgV0gQ39GizIUi0fSdBR3xD7YtG+pcmJ6iCUzNbpkpMyTYBg5J4sp2MT+ejhUXSp+hYellp20Lt22TE1yCUajAlJkQ=="
}

Response Parameters

data Data Format

Field NameTypeDescription
withdrawIdLongWithdrawal record ID
currencyStringCurrency
chainBigDecimalNetwork chain
addressStringWithdrawal address
amountBigDecimalWithdrawal amount
stateByteWithdrawal status: 0-Pending, 1-Processing, 2-Success, 3-Failure, 4-Cancelled
failReasonStringFailure reason
gatewayResponseStringReceipt info (JSON)
mchWithdrawIdStringMerchant withdrawal ID
json
{
    "code": 0,
    "msg": "SUCCESS",
    "data": {
        "records": [
            {
                "withdrawId": 11,
                "currency": "USDC",
                "chain": "arbitrum",
                "address": "0xddc101d26c59d6b10c95e7b7b3928986741ea13f",
                "amount": "0.11",
                "state": 1
            },
            {
                "withdrawId": 10,
                "currency": "USDC",
                "chain": "arbitrum",
                "address": "0x4fd16e1c608f437f60d324ce1a96097ee85c8843",
                "amount": "0.11",
                "state": 2
            }
        ],
        "total": 2,
        "size": 5,
        "current": 1,
        "pages": 1
    }
}

Download Withdrawal Receipt Interface

Interface Information

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/withdraw/downloadWithdrawReceipt
  • Authentication: Signature verification

Interface Description

This interface downloads the withdrawal receipt PDF file based on the withdrawal record ID. Supports multilingual receipt file download.

Request Parameters

Field NameTypeMax LengthRequiredDescription
mchNoString30YesMerchant number
appIdString64YesApplication ID, assigned by the merchant platform
signString512YesSignature
signTypeString10YesSignature type, default value RSA2
versionString10YesVersion number, e.g., v1.0
withdrawIdLongNoWithdrawal record ID (At least one of withdrawId or mchWithdrawId must be passed)
mchWithdrawIdString64NoMerchant withdrawal record ID (At least one of withdrawId or mchWithdrawId must be passed)
langString20NoReceipt language, optional values: english (default), portuguese, chinese

Sample Request

json
{
    "mchNo": "M1752564528",
    "appId": "68760330a2cf0af37c52a073",
    "signType": "RSA2",
    "version": "v1.0",
    "withdrawId": 20,
    "lang": "english",
    "sign": "VaKMVivLXtqJw6kp7PyNaI6P7qoLM9kOXms5Tll8TsX0eubZ0F+bbxGpfaTR2zpCZkVr/iygD4QyuueMt+pMOAOXZ2yayFGloyKL1mMfNHzb5PDPMhU3cKm6cb+BCHkfk5S602rCBFrQSEhVgQiwpd5ezI6NAdw4+EdPwVmzXH6pVZ9YXNSp9n1O8caS5dL0bjhWxO5EFWrxhbfFNLgWy1OXRs9e02wHZXbzukAkbuJl6UZDpPKKluy2m1BbgxYYYHlx4sunBsE8vP5vj50UHg8KK4v1K/XXzx+oIpZQ85895ZFAISLO9V7ugdlXx/+jrpzg2xnEOK9ss/oSSbdDoQ=="
}

Response Parameters

Success Response

  • Content-Type: application/pdf
  • Content-Disposition: attachment; filename="WithdrawReceipt{mchWithdrawId}.pdf"
  • Response Body: PDF file stream

Failure Response

  • HTTP status code: 404 Not Found (when the withdrawal record does not exist)

Response Status Description

SituationHTTP Status CodeDescription
Success200Returns PDF file stream, browser will automatically download the file
Record does not exist404Withdrawal record does not exist or access denied
Parameter error400Request parameter validation failed
Signature error401Signature verification failed